# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{8..11} pypy3 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1

DESCRIPTION="open source tools to generate mypy stubs from protobufs"
HOMEPAGE="
	http://www.mypy-lang.org/
	https://github.com/nipunn1313/mypy-protobuf/"
SRC_URI="
	https://github.com/nipunn1313/${PN}/archive/refs/tags/v${PV}.tar.gz
		-> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"

RDEPEND="
	dev-python/mypy[${PYTHON_USEDEP}]
	>=dev-python/protobuf-python-4.21.8[${PYTHON_USEDEP}]
"
